Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005HeadControlBasicBehavior Class Reference

Base class for all basic behaviors in the GT2004HeadControl. More...

`#include <GT2005HeadControlBasicBehaviors.h>`

Inheritance diagram for GT2005HeadControlBasicBehavior:

[legend]
Collaboration diagram for GT2005HeadControlBasicBehavior:

[legend]
List of all members.

## Public Member Functions
| GT2005HeadControlBasicBehavior (const char *name, Xabsl2ErrorHandler &errorHandler, HeadControlInterfaces interfaces, GT2005HeadControl &headControl, GT2005HeadPathPlanner &headPathPlanner, bool &lastScanWasLeft, CameraInfo &cameraInfo)
virtual void | execute ()=0
| Executes the basic behavior.
## Protected Attributes
GT2005HeadControl & | headControl
| A reference to the GT2004HeadControl.
GT2005HeadPathPlanner & | headPathPlanner
| A reference to the head path planner.
bool & | lastScanWasLeft
| A reference to the variable "lastScanWasLeft" in the head control.
CameraInfo & | cameraInfo
| A reference to a camara info in the head control.
OdometryData | lastOdometryData
| current odometry data of last call to head control
unsigned long | lastTimeOfGoodSL
| time of last good self localization
int | panCount
| Number of executed scans.
unsigned long | timeOfLastExecution
| The time when the skill was executed last, used by GrabBallHigh.

## Detailed Description

Base class for all basic behaviors in the GT2004HeadControl.

Author:
  Martin Lötzsch

Definition at line 22 of file GT2005HeadControlBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005HeadControlBasicBehavior::GT2005HeadControlBasicBehavior | ( | const char * | name,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | HeadControlInterfaces | interfaces,
|  | GT2005HeadControl & | headControl,
|  | GT2005HeadPathPlanner & | headPathPlanner,
|  | bool & | lastScanWasLeft,
|  | CameraInfo & | cameraInfo
| ) | `[inline]`

| Definition at line 35 of file GT2005HeadControlBasicBehaviors.h.

## Member Function Documentation

virtual void GT2005HeadControlBasicBehavior::execute | ( |  | ) | `[pure virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Implemented in GT2005BasicBehaviorDirectedScanForObstacles, and GT2005BasicBehaviorDirectedScanForLandmarks.

## Member Data Documentation

GT2005HeadControl& GT2005HeadControlBasicBehavior::headControl`[protected]`

| A reference to the GT2004HeadControl. Definition at line 55 of file GT2005HeadControlBasicBehaviors.h.

GT2005HeadPathPlanner& GT2005HeadControlBasicBehavior::headPathPlanner`[protected]`

| A reference to the head path planner. Definition at line 58 of file GT2005HeadControlBasicBehaviors.h.

bool& GT2005HeadControlBasicBehavior::lastScanWasLeft`[protected]`

| A reference to the variable "lastScanWasLeft" in the head control. Definition at line 61 of file GT2005HeadControlBasicBehaviors.h.

CameraInfo& GT2005HeadControlBasicBehavior::cameraInfo`[protected]`

| A reference to a camara info in the head control. Definition at line 64 of file GT2005HeadControlBasicBehaviors.h.

OdometryData GT2005HeadControlBasicBehavior::lastOdometryData`[protected]`

| current odometry data of last call to head control Definition at line 67 of file GT2005HeadControlBasicBehaviors.h.

unsigned long GT2005HeadControlBasicBehavior::lastTimeOfGoodSL`[protected]`

| time of last good self localization Definition at line 69 of file GT2005HeadControlBasicBehaviors.h.

int GT2005HeadControlBasicBehavior::panCount`[protected]`

| Number of executed scans. Definition at line 72 of file GT2005HeadControlBasicBehaviors.h.

unsigned long GT2005HeadControlBasicBehavior::timeOfLastExecution`[protected]`

| The time when the skill was executed last, used by GrabBallHigh. Definition at line 75 of file GT2005HeadControlBasicBehaviors.h.

The documentation for this class was generated from the following file:

- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlBasicBehaviors.h